This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 593642 - Autopartitioning clears immutable partitions
Autopartitioning clears immutable partitions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Hans de Goede
Release Test Team
: TestOnly
Depends On:
Blocks: 614812
  Show dependency treegraph
 
Reported: 2010-05-19 07:47 EDT by Hans de Goede
Modified: 2011-05-19 08:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.21.44-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 614812 (view as bug list)
Environment:
Last Closed: 2011-05-19 08:29:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2010-05-19 07:47:46 EDT
When an inconsistent lvm vg is found the user can choose to ignore the involved pvs (often partitions), these then get added to anaconda's immutableDevices list, yet autopartitioning with a clearpart type of linux or all will still remove the
involved partitions as shouldClear() does not honour the immutableDevices list.
Comment 1 RHEL Product and Program Management 2010-05-19 07:55:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Hans de Goede 2010-05-19 11:09:46 EDT
Note to QA. To reproduce this, do a default autopart install on 2 disks, then remove one disk (easiest with a vm), and start a new interactive install when prompted about the imcomplete volgroup, choose ignore, then choose clear linux partitions, check review partition layout and continue. You should get a complaint that there is not enough free space, instead the pv of the broken vg will get re-used, which should not happen as it should be ignored.

Can we get a qa-ack for this please ?
Comment 3 Hans de Goede 2010-05-20 05:53:45 EDT
Fixed in anaconda-13.21.44-1, moving to modified.
Comment 5 Alexander Todorov 2010-07-14 09:14:09 EDT
(In reply to comment #2)
> Note to QA. To reproduce this, do a default autopart install on 2 disks, then
> remove one disk (easiest with a vm), and start a new interactive install when
> prompted about the imcomplete volgroup, choose ignore, then choose clear linux
> partitions, check review partition layout and continue. You should get a
> complaint that there is not enough free space, instead the pv of the broken vg
> will get re-used, which should not happen as it should be ignored.
> 

Hans,
with 0707.4 tree I followed your steps to reproduce leaving the second disk for the second install. I got the error dialog telling me there wasn't enough free space. /so far bug is fixed/

After clicking OK there was a windows such as "re-scanning disks" or similar and then I just hit Next without changing previous settings. The second time anaconda didn't complain about missing space but happily removed my previous partitioning ( a single PV in this case) and created default partitioning (/boot, PV and / and swap in LVs). 

Is the behavior in the second retry expected or something related to this bug ?
Comment 6 Hans de Goede 2010-07-14 13:59:12 EDT
Hi,

(In reply to comment #5)
> Hans,
> with 0707.4 tree I followed your steps to reproduce leaving the second disk for
> the second install. I got the error dialog telling me there wasn't enough free
> space. /so far bug is fixed/
> 
> After clicking OK there was a windows such as "re-scanning disks" or similar
> and then I just hit Next without changing previous settings. The second time
> anaconda didn't complain about missing space but happily removed my previous
> partitioning ( a single PV in this case) and created default partitioning
> (/boot, PV and / and swap in LVs). 
> 
> Is the behavior in the second retry expected or something related to this bug ?    

Sounds like you've found a new (related) bug, can you please reproduce and file a new bug for this with logs attached ?

Thanks,

Hans
Comment 7 Alexander Todorov 2010-07-15 06:34:37 EDT
(In reply to comment #6)
> Sounds like you've found a new (related) bug, can you please reproduce and file
> a new bug for this with logs attached ?
> 

Filed as bug #614812. When you say related I take it to mean that this bug can't be verified until 614812 is fixed.
Comment 11 RHEL Product and Program Management 2010-10-29 17:29:46 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 13 Alexander Todorov 2011-03-30 07:02:38 EDT
With anaconda-13.21.107-1 I get the error message that there is not enough free space. This is as expected.
Comment 14 errata-xmlrpc 2011-05-19 08:29:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0530.html

Note You need to log in before you can comment on or make changes to this bug.